--	GameState.lua - Main script run by LuaGameState.cpp.
--  ----------------------------------------------------------------------------
--	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
--	apps.
--	Copyright (C) 2013  Niall Moody
--	
--	This program is free software: you can redistribute it and/or modify
--	it under the terms of the GNU General Public License as published by
--	the Free Software Foundation, either version 3 of the License, or
--	(at your option) any later version.
--
--	This program is distributed in the hope that it will be useful,
--	but WITHOUT ANY WARRANTY; without even the implied warranty of
--	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--	GNU General Public License for more details.
--
--	You should have received a copy of the GNU General Public License
--	along with this program.  If not, see <http://www.gnu.org/licenses/>.
--	----------------------------------------------------------------------------

--------------------------------------------------------------------------------
--	Called when the state is first initialised.
function initialise(drawSize)
	
end

--------------------------------------------------------------------------------
--	Used to update game logic etc.
function update(sound)
	
end

--------------------------------------------------------------------------------
--	Draws the game.
function draw(d)
	
end

--------------------------------------------------------------------------------
--	Called when the user depresses a key or a joystick button.
function keyDown(action, keyPressed, keyModifier)

end

--------------------------------------------------------------------------------
--	Called when the user releases a key or a joystick button.
function keyUp(action, keyPressed, keyModifier)

end

--------------------------------------------------------------------------------
--	Called when the user depresses a mouse button.
function mouseDown(button, pos)
	
end

--------------------------------------------------------------------------------
--	Called when the user releases a mouse button.
function mouseUp(button, pos)

end

--------------------------------------------------------------------------------
--	Called when the user moves the mouse.
function mouseMove(pos)
	
end

--------------------------------------------------------------------------------
--	Called when the user moves the mousewheel.
function mouseWheel(dir)

end

--------------------------------------------------------------------------------
--	Called when the user moves a joystick.
function joyMove(action, value, joystick, axis)

end
